# Class CarbohydrateMonomer

java.lang.Object
org.jmol.modelset.Group
org.jmol.modelsetbio.Monomer
org.jmol.modelsetbio.CarbohydrateMonomer

All Implemented Interfaces:
  `Structure`

public class CarbohydrateMonomer extends Monomer

## Field Summary

### Fields inherited from class Monomer

`backboneBlockVis, bioPolymer, offsets`

### Fields inherited from class Group

`chain, dssrNT, firstAtomIndex, group1, group3Names, groupID, groupIndex, lastAtomIndex, leadAtomIndex, selectedIndex, seqcode, shapeVisibilityFlags, specialAtomNames, standardGroupList, strutPoint`

## Method Summary

Modifier and Type
Method
Description
`STR`
`getProteinStructureType()`
/////////////////////////////////////////////////////////////
`boolean`
`isCarbohydrate()`
/////////////////////////////////////////////////////////////
`boolean`
`isConnectedPrevious()`

### Methods inherited from class Monomer

`checkOptional, getAtomFromOffsetIndex, getAtomIndex, getBioPolymerIndexInModel, getBioPolymerLength, getCrossLinkGroup, getCrossLinkVector, getGroup1, getGroup1b, getGroupParameter, getHelixData2, getLeadAtom, getMonomerIndex, getMyInfo, getSelectedMonomerCount, getSelectedMonomerIndex, getSpecialAtom, getSpecialAtomPoint, getStructureId, getUniqueID, getWingAtom, have, isCrossLinked, isHelix, isLeadAtom, isSheet, scanForOffsets, set2, setGroupID, setLeadAtomIndex, setStrucNo, toString, updateOffsetsForAlternativeLocations`

### Methods inherited from class Group

`addAtoms, fixIndices, getBSSideChain, getCarbonylOxygenAtom, getGroup3, getGroupInfo, getHelixData, getInsCode, getInsertionCode, getInsertionCodeChar, getInsertionCodeFor, getLeadAtomOr, getMinZ, getModel, getNitrogenAtom, getProteinStructureSubType, getProteinStructureTag, getQuaternion, getQuaternionFrame, getResno, getSeqcodeFor, getSeqcodeString, getSeqcodeStringFor, getSeqNumberFor, getStrucNo, getStructure, haveSequenceNumber, isAdded, isCursorOnTopOf, isDna, isDnaByID, isNucleic, isNucleicMonomer, isProtein, isPurine, isPurineByID, isPyrimidine, isPyrimidineByID, isRna, isRnaByID, isSelected, isWithinStructure, scaleToScreen, setAtomBits, setAtomBitsAndClear, setGroup, setProteinStructureType, setResno, setShapeVisibility, unsetStrutPoint`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### isCarbohydrate

public boolean isCarbohydrate()
/////////////////////////////////////////////////////////////

Overrides:
  `isCarbohydrate` in class `Group`

### getProteinStructureType

public STR getProteinStructureType()
Description copied from class: `Monomer`
/////////////////////////////////////////////////////////////

Overrides:
  `getProteinStructureType` in class `Monomer`

### isConnectedPrevious

public boolean isConnectedPrevious()

Overrides:
  `isConnectedPrevious` in class `Monomer`